reliability
probe dns

# resolve_name

Resolve a domain for a specific type from the given nameservers

Run it now
View details

Type | probe
Module | chaosreliably.activities.dns.probes
Name | resolve_name
Return | list

Usage

JSON

    {
      "name": "resolve-dns-name",
      "type": "probe",
      "provider": {
        "type": "python",
        "module": "chaosreliably.activities.dns.probes",
        "func": "resolve_name",
        "arguments": {
          "domain": ""
        }
      }
    }

YAML

    name: resolve-dns-name
    type: probe
    provider:
      func: resolve_name
      module: chaosreliably.activities.dns.probes
      type: python
      arguments:
        domain: ""

Arguments

Name | Type | Default | Required | Title | Description
--- | --- | --- | --- | --- | ---
domain | string |  | Yes | Domain | FQDN to read information from
nameservers | list | [“8.8.8.8”] | No | Nameservers | List of nameservers to query for this domain
resolve_type | string | ”A” | No | Resolve Type | Type to resolve for this domain

Signature

    def resolve_name(domain: str,
                     nameservers: Sequence[str] = ('8.8.8.8', ),
                     resolve_type: str = 'A') -> List[str]:
        pass

## Related starters

- reliability
  action gh

  ## `cancel_workflow_run`

  Cancels a GitHub Workflow run
- reliability
  action load

  ## `inject_gradual_traffic_into_endpoint`

  Load traffic into the given endpoint.
- reliability
  probe load

  ## `load_test_result_field_should_be`

  Reads a load test result and compares the field’s value to be equal to the expected given value.